org.apache.catalina.ant

## Class SessionsTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.AbstractCatalinaTask
        - - org.apache.catalina.ant.AbstractCatalinaCommandTask
          - - org.apache.catalina.ant.SessionsTask

- All Implemented Interfaces:
    Cloneable

      public class SessionsTask
      extends AbstractCatalinaCommandTask

  Ant task that implements the `/sessions` command supported by the Tomcat manager application.
  Author:
    Vivek Chopra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `idle`

    - ### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaCommandTask

      `path, version`

    - ### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

      `charset, ignoreResponseConstraint, password, url, username`

    - ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionsTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuilder` | `createQueryString(String command)` Create query string for the specified command.
    `void` | `execute()` Execute the requested operation.
    `String` | `getIdle()`
    `void` | `setIdle(String idle)`

    - ### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaCommandTask

      `getPath, getVersion, setPath, setVersion`

    - ### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

      `execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

    - ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idle

          protected String idle

  - ### Constructor Detail

    - #### SessionsTask

          public SessionsTask()

  - ### Method Detail

    - #### getIdle

          public String getIdle()

    - #### setIdle

          public void setIdle(String idle)

    - #### createQueryString

          public StringBuilder createQueryString(String command)

      Description copied from class: `AbstractCatalinaCommandTask`
      Create query string for the specified command.
      Overrides:
        `createQueryString` in class `AbstractCatalinaCommandTask`
      Parameters:
        `command` - Command to be executed
      Returns:
        The generated query string

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Execute the requested operation.
      Overrides:
        `execute` in class `AbstractCatalinaTask`
      Throws:
        `org.apache.tools.ant.BuildException` - if an error occurs

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.